routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Product\ProductList;
use App\Http\Controllers\Product\PurchaseList;
use App\Http\Controllers\Account\AccountSetup;
use App\Http\Controllers\Account\Transaction;
use App\Http\Controllers\Product\Quotation;
use App\Http\Controllers\Sales\SalesQuotation;
use App\Http\Controllers\Report\Product;
use App\Http\Controllers\Report\Sales;
use App\Http\Controllers\Report\Customer;
use App\Http\Controllers\Report\Employee;
use App\Http\Controllers\Report\Account;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('index');
});
Route::get('/index', function () {
    return view('index');
});

Route::get('product-category/edit-category/{id}', function ($id) {
    return view('product.edit-category', ['cat_id' => $id]);
});

Route::get('product-category/groups', 'App\Http\Controllers\Product\CategorySetup@groups');
Route::get('product-category/groupWiseCategory', 'App\Http\Controllers\Product\CategorySetup@groupWiseCategory');
Route::get('product-category/catGroupWiseCategory', 'App\Http\Controllers\Product\CategorySetup@catGroupWiseCategory');
Route::resource('product-category', 'App\Http\Controllers\Product\CategorySetup');

Route::get('/new-product', function () {
    return view('product/product/new-product');
});

Route::get('product/view-product/{id}', function ($id) {
    return view('product/product/view-product', ['pro_id' => $id]);
});
Route::get('product-list/catWiseProduct', 'App\Http\Controllers\Product\ProductList@catWiseProduct');
Route::get('product-list/search', 'App\Http\Controllers\Product\ProductList@search');
Route::resource('product-list', ProductList::class);
Route::prefix('product-list')->group(function () {
    Route::get('/info/{sup_id}/{color_id}/{pro_id}', [ProductList::class, 'info']);
    Route::get('/color/{id}', [ProductList::class, 'colorList']);
});
Route::get('/print-barcode', function () {
    return view('product/product/print-barcode');
});
Route::get('/product-adjustment', function () {
    return view('product/product/product-adjustment');
});
Route::get('/product-stock', function () {
    return view('product/product/product-stock');
});

Route::get('purchase-list/stock', 'App\Http\Controllers\Product\PurchaseList@stock');
Route::post('purchase-list/productAdd', 'App\Http\Controllers\Product\PurchaseList@productAdd');
Route::get('purchase-list/productUpdate', 'App\Http\Controllers\Product\PurchaseList@productUpdate');
Route::get('purchase-list/productColor', 'App\Http\Controllers\Product\PurchaseList@productColor');
Route::get('purchase-list/productRemove', 'App\Http\Controllers\Product\PurchaseList@productRemove');
Route::get('purchase-list/productRemoveAll', 'App\Http\Controllers\Product\PurchaseList@productRemoveAll');
Route::get('purchase-list/invoiceAdd', 'App\Http\Controllers\Product\PurchaseList@invoiceAdd');
Route::get('/purchase-list/edit-product/{id}', [PurchaseList::class, 'product_edit']);
Route::resource('purchase-list', PurchaseList::class);
Route::get('/new-purchase', function () {
    return view('product/purchase/new-purchase');
});
Route::get('/purchase-products', function () {
    return view('product/purchase/product-list');
});

// Route::get('/purchase-list', function () {
//     return view('product/purchase/purchase-list');
// });
Route::get('/purchase-adjustment', function () {
    return view('product/purchase/purchase-adjustment');
});
Route::get('/purchase-return', function () {
    return view('product/purchase/purchase-return');
});
Route::get('/purchase-import', function () {
    return view('product/purchase/purchase-import');
});
Route::get('/sales-pos', function () {
    return view('sales/sales-pos');
});

Route::get('sales-list/productAdd', 'App\Http\Controllers\Sales\SalesList@productAdd');
Route::get('sales-list/productEdit', 'App\Http\Controllers\Sales\SalesList@productEdit');
Route::get('sales-list/productDel', 'App\Http\Controllers\Sales\SalesList@productDel');
Route::get('sales-list/productClear', 'App\Http\Controllers\Sales\SalesList@productClear');
Route::resource('sales-list', 'App\Http\Controllers\Sales\SalesList');
Route::get('/invoice-print', function () {
    return view('sales/sales/sales-list');
});
Route::get('/print-invoice', function () {
    return view('sales/sales/print-invoice');
});
Route::get('/sales-due', function () {
    return view('sales/sales/sales-due');
});
Route::get('/delivery-manage', function () {
    return view('sales/sales/delivery-manage');
});
Route::get('/sales-done', function () {
    return view('sales/sales/sales-done');
});
Route::get('/sales-return', function () {
    return view('sales/sales/sales-return');
});
Route::get('/sales-cancel', function () {
    return view('sales/sales/sales-cancel');
});
Route::get('/sales-import', function () {
    return view('sales/sales/sales-import');
});

Route::get('/new-customer', function () {
    return view('customer/customer/customer-add');
});

Route::resource('customer-list', 'App\Http\Controllers\Customer\CustomerSetup');
// Route::get('customer-list/typesWiseGroup', 'App\Http\Controllers\Setting\CustomerGroup');
Route::get('setting-customer-type/group_info', 'App\Http\Controllers\Setting\CustomerType@typesWiseGroup');
Route::get('/new-user', function () {
    return view('customer/users/users-add');
});
Route::get('/user-list', function () {
    return view('customer/users/users-list');
});
Route::get('/new-biller', function () {
    return view('customer/biller/new-biller');
});
Route::get('/biller-list', function () {
    return view('customer/biller/biller-list');
});
Route::resource('supplier-list', 'App\Http\Controllers\Supplier\SupplierList');
// Route::resource('supplier-list', 'App\Http\Controllers\Supplier\SupplierList', ['names' => [
//     'show' => 'supplier.info'
// ]]);
Route::get('/new-supplier', function () {
    return view('supplier/supplier/new-supplier');
});
// Route::get('/supplier-list', function () {
//     return view('supplier/supplier/supplier-list');
// });
Route::get('/issue-discount', function () {
    return view('supplier/discount/issue-discount');
});
Route::get('/discount-product-list', function () {
    return view('supplier/discount/discount-product-list');
});
Route::resource('employee-department', 'App\Http\Controllers\Employee\DepartmentSetup');
Route::get('/new-employee', function () {
    return view('employee/employee/new-employee');
});
Route::resource('employee-list', 'App\Http\Controllers\Employee\EmployeeList');

Route::get('/daily-attendance', function () {
    return view('employee/attendance/daily-attendance');
});
Route::get('/attendance-history', function () {
    return view('employee/attendance/attendance-history');
});

Route::get('/account-category', function () {
    return view('account/setup/new-category');
});
Route::get('/income-category', function () {
    return view('account/setup/income-category');
});
Route::get('/expense-category', function () {
    return view('account/setup/expense-category');
});
Route::get('{name}/cat-update/{id}', function ($name, $id) {
    return view('account.setup.edit-category', ['cat_id' => $id]);
});
Route::get('/new-transaction', function () {
    return view('account/transaction/new-transaction');
});
Route::get('transaction/categoryList', 'App\Http\Controllers\Account\Transaction@categoryList');
Route::get('transaction/payerInfo', 'App\Http\Controllers\Account\Transaction@payerInfo');
Route::get('transaction/receiverInfo', 'App\Http\Controllers\Account\Transaction@receiverInfo');
Route::resource('transaction', Transaction::class);
Route::resource('account-setup', AccountSetup::class);
Route::get('/income-transaction', function () {
    return view('account/transaction/income-list');
});
Route::get('/expense-transaction', function () {
    return view('account/transaction/expense-list');
});
Route::prefix('account-records')->group(function () {
    Route::resource('account-records', Transaction::class);
    Route::get('/income-records', [Transaction::class, 'income_records']);
    Route::get('/expense-records', [Transaction::class, 'expense_records']);
    Route::get('/balance-sheet', [Transaction::class, 'balance_sheet']);
    Route::get('/daily-statement', [Transaction::class, 'daily_statement']);
    Route::get('/monthly-statement', [Transaction::class, 'monthly_statement']);
    Route::get('/analysis', [Transaction::class, 'account_analysis']);
});
// Report section
Route::prefix('report-product')->group(function () {
    Route::resource('report-product', Product::class);
    Route::get('/stock-details', [Product::class, 'stock_details']);
    Route::get('/minimum-stock', [Product::class, 'minimum_stock']);
    Route::get('/daily-purchase', [Product::class, 'daily_purchase']);
    Route::get('/weekly-purchase', [Product::class, 'weekly_purchase']);
    Route::get('/monthly-purchase', [Product::class, 'monthly_purchase']);
    Route::get('/search-purchase', [Product::class, 'search_purchase']);
});
Route::prefix('report-sales')->group(function () {
    Route::resource('report-sales', Sales::class);
    Route::get('/best-sales', [Sales::class, 'best_sales']);
    Route::get('/daily-sales', [Sales::class, 'daily_sales']);
    Route::get('/weekly-sales', [Sales::class, 'weekly_sales']);
    Route::get('/monthly-sales', [Sales::class, 'monthly_sales']);
    Route::get('/lowest-sales', [Sales::class, 'lowest_sales']);
    Route::get('/search-sales', [Sales::class, 'search_sales']);
});
Route::prefix('report-customer')->group(function () {
    Route::resource('report-customer', Customer::class);

app/Models/Employee/Emp_dept.php
<?php

namespace App\Models\Employee;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Emp_dept extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = ["name", "about", "email", "contact_no", "image"];
}

app/Models/Employee/Emp_list.php
<?php

namespace App\Models\Employee;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Emp_list extends Model
{
    use HasFactory;
    public $timestamps = false;
    protected $fillable = ["name", "phone", "email", "address", "thana", "district", "zip", "dept_id", "type_id", "designation", "salary", "joining_date", "photo", "attachment", "remarks"];
}

app/Http/Controllers/Employee/DepartmentSetup.php
<?php

namespace App\Http\Controllers\Employee;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Exception;
use Illuminate\Support\Facades\DB;
use App\Models\Employee\Emp_dept;

class DepartmentSetup extends Controller
{
    public function __construct()
    {
        $this->result = array();
    }
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $getData = DB::select('SELECT * FROM `emp_depts`');
        return view('employee.department', ['dept' => $getData]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public static function create()
    {
        $result = DB::select('SELECT * FROM `emp_depts`');
        return $result;
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $request->validate([
            'name' => 'required',
            'about' => 'required',
            'email' => 'required',
            'contact_no' => 'required'
        ]);
        if ($request->hasFile('image')) {
            $request->validate([
                'image' => 'mimes:jpeg,png,jpg'
            ]);
            $request->image->store('public');
            $dataInsert = new Emp_dept([
                "name" => $request->get('name'),
                "about" => $request->get('about'),
                "email" => $request->get('email'),
                "contact_no" => $request->get('contact_no'),
                "image" => $request->image->hashName()
            ]);
            try {
                $dataInsert->save();
                $this->result['status'] = 1;
                $this->result['load'] = 'employee-department';
                $this->result['message'] = 'Successfully saved data.';
            } catch (Exception $e) {
                $this->result['status'] = 0;
                $this->result['message'] = $e->getMessage();
            }
        } else {
            $dataInsert = new Emp_dept([
                "name" => $request->get('name'),
                "about" => $request->get('about'),
                "email" => $request->get('email'),
                "contact_no" => $request->get('contact_no')
            ]);
            try {
                $dataInsert->save();
                $this->result['status'] = 1;
                $this->result['load'] = 'employee-department';
                $this->result['message'] = 'Successfully saved data.';
            } catch (Exception $e) {
                $this->result['status'] = 0;
                $this->result['message'] = $e->getMessage();
            }
        }
        return $this->result;
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Report/Employee.php
<?php

namespace App\Http\Controllers\Report;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class Employee extends Controller
{
    public function __construct()
    {
        $this->result = array();
    }

    public function salary_report()
    {
        return view('report/employee/salary-report');
    }
    public function leave_report()
    {
        return view('report/employee/leave-report');
    }
}

resources/views/employee/department.blade.php
@extends("layouts.app")
  @section("style")
  <link href="assets/plugins/input-tags/css/tagsinput.css" rel="stylesheet" />
  <link href="assets/plugins/datatable/css/dataTables.bootstrap5.min.css" rel="stylesheet" />
  @endsection
  @section("wrapper")
          <div class="page-wrapper">
              <div class="page-content">
                  <!--breadcrumb-->
                  <div class="page-breadcrumb d-none d-sm-flex align-items-center mb-3">
                      <div class="breadcrumb-title pe-3">Employee</div>
                      <div class="ps-3">
                          <nav aria-label="breadcrumb">
                              <ol class="breadcrumb mb-0 p-0">
                                  <li class="breadcrumb-item"><a href="{{ url('') }}"><i class="bx bx-home-alt"></i></a>
                                  </li>
                                  <li class="breadcrumb-item active" aria-current="page">Department Manage</li>
                              </ol>
                          </nav>
                      </div>
                  </div>
                  <!--end breadcrumb-->
                  <div class="row">
                      <div class="col-xl-10 mx-auto">
                          <div class="card p-3 pt-1">
                              <div class="card-body col-xl-12 float-left">
                                  <form class="col-lg-12" action="{{ route('employee-department.store') }}" method="post" id="employeeDept" enctype="multipart/form-data">
                                      <input type="hidden" name="_token" value="<?= csrf_token(); ?>"/>
                                      <div class="row">
                                          <div class="col-xl-4 float-left">
                                              <label class="col-sm-12 col-form-label">Dept. Name</label>
                                              <input name="name" class="form-control mb-3" type="text" placeholder="Department Name" aria-label="Department Name" required>
                                          </div>
                                          <div class="col-xl-8 float-left">
                                              <label class="col-sm-12 col-form-label">Dept. About</label>
                                              <input name="about" class="form-control mb-3" type="text" placeholder="Short Details about Department" aria-label="Dept. About">
                                          </div>
                                      </div>
                                      <div class="row">
                                          <div class="col-xl-4 float-left">
                                              <label class="col-sm-12 col-form-label">Dept. email</label>
                                              <input name="email" class="form-control mb-3" type="email" placeholder="Department Email" aria-label="Dept. email">
                                          </div>
                                          <div class="col-xl-4 float-left">
                                              <label class="col-sm-12 col-form-label">Contact No.</label>
                                              <input name="contact_no" class="form-control mb-3" type="text" placeholder="IP Phone/Contact No." aria-label="Department Name">
                                          </div>
                                          <div class="col-xl-4 float-left">
                                              <label class="col-sm-12 col-form-label">Image</label>
                                              <input name="image" class="form-control mb-3" type="file" accept="image/jpeg" aria-label="Department Image">
                                          </div>
                                      </div>
                                      <div class="row mt-3">
                                          <label id="message" class="col-sm-6 col-form-label float-left form-message"></label>
                                          <div class="col-xl-6 float-right">
                                              <button type="submit" class="btn btn-primary float-right"><i class="bx bx-list-plus"></i>Add</button>
                                              <button type="reset" class="btn btn-danger float-right" style="margin-right:20px"><i class="lni lni-eraser"></i>Clear</button>
                                          </div>
                                      </div>
                                  </form>
                              </div>
                              <hr class="col-xl-12 float-left"/>
                              <div class="card-body col-xl-12 float-left">
                                <div class="table-responsive col-xl-12 float-left" style="overflow:hidden;">
                                  <table id="example" class="table table-striped table-bordered" style="width:100%;overflow:hidden;">
                                    <thead>
                                      <tr>
                                        <th style="width:20px">Sl.</th>
                                        <th>Dept. Name</th>
                                        <th style="width: 450px">Dept. About</th>
                                        <th>Email</th>
                                        <th>Contact No.</th>
                                        <th style="width:120px">Action</th>
                                      </tr>
                                    </thead>
                                    <tbody>
                                    <?php $x = 1; foreach( $dept as $row => $v ){?>
                                      <tr>
                                        <td><?= $x ?></td>
                                        <td><?= $v->name ?></td>
                                        <td style="word-break: break-all"><?= $v->about ?></td>
                                        <td><?= $v->email ?></td>
                                        <td><?= $v->contact_no ?></td>
                                        <td>
                                          <div class="row row-cols-auto g-3 mx-auto flex-center">
                                              <button class="btn-action btn-primary"><i class="lni lni-pencil-alt" style="margin-right:6px"></i>Edit</button>
                                              <button class="btn-action btn-danger"><i class="lni lni-trash" style="margin-right:6px"></i>Erase</button>
                                          </div>
                                        </td>
                                      </tr>
                                    <?php $x++; }?>
                                    </tbody>
                                  </table>
                                </div>
                              </div>
                          </div>
                      </div>
                  </div>
                  <!--end row-->
              </div>
          </div>
  @endsection

@section("script")
<script src="assets/plugins/input-tags/js/tagsinput.js"></script>
<script src="assets/plugins/datatable/js/jquery.dataTables.min.js"></script>
<script>
    $(document).ready(function() {
        $('#example').DataTable();
        $('.select_search').select2({
            height:'resolved'
        });
    });
</script>
@endsection